<?php
/*
Plugin Name: FB Affiliate Alert Box
Plugin URI: http://whitelabelplugins.com
Description: Boost your sales, affiliate commissions, amazon earning and more with this powerful plugin
Author: White Label Plugins Team
Version: 1.0
Author URI: http://whitelabelplugins.com

*/
register_activation_hook(__FILE__,'fakebook_alert_install');
function fakebook_alert_install() {add_option('fakebook_alert_st','yes');}
define( 'MYPLUGINNAME_PATH', plugin_dir_path(__FILE__) );
function fakebook_alert_foot(){if (is_single()) {fakebook_css();echo fakebook_alert_function();}}
function fakebook_alert_foot2(){if (is_archive()) {fakebook_css();echo fakebook_alert_function();}}
function fakebook_alert_foot3(){if (is_page()) {fakebook_css();echo fakebook_alert_function();}}
function fakebook_alert_foot4(){if (is_home()) {fakebook_css();echo fakebook_alert_function();}}

if(get_option('fakebook_alert_postingan')=='yes'){add_action("wp_footer","fakebook_alert_foot");}else{echo '';}
if(get_option('fakebook_alert_arsipan')=='yes'){add_action("wp_footer","fakebook_alert_foot2");}else{echo '';}
if(get_option('fakebook_alert_halaman')=='yes'){add_action("wp_footer","fakebook_alert_foot3");}else{echo '';}
if(get_option('fakebook_alert_ngarepan')=='yes'){add_action("wp_footer","fakebook_alert_foot4");}else{echo '';}

function kotak_dialog_fakebook() {
    $args = array(
        'public' => true,
        'label' => 'FB Affiliate Alert Box',
        'supports' => array(
            'title',
            'editor',
            'custom-fields'
        )
    );
    register_post_type('fakebook', $args);
}
 
add_action('init', 'kotak_dialog_fakebook');
function fakebook_cf($post_id) {
    if ( $_GET['post_type'] == 'fakebook' ) { 
        add_post_meta($post_id, 'link', '', true);
    }
    return true;
}
add_action('wp_insert_post', 'fakebook_cf');
add_action("wp_head","fakebook_alert_redir");
$jenispos=get_post_type($post);
function fakebook_alert_redir(){
if($jenispos=='fakebook'){echo '<script language="javascript">window.location = "'.get_bloginfo('url').'";</script>';}
else{echo '';}
}
?>
<?php  
register_deactivation_hook( __FILE__, 'fakebook_alert_st_remove' );
function fakebook_alert_st_remove() {
delete_option('fakebook_alert_st');
}
add_action('admin_menu', 'fakebook_alert_st_create_menu');
function fakebook_alert_st_create_menu() {
add_menu_page('FB Affiliate Alert Box Settings', 'FB Affiliate Alert Box', 'administrator',__FILE__,'fakebook_alert_st_settings_page');
add_action( 'admin_init', 'register_fakebook_alert_st_settings' );
}
function register_fakebook_alert_st_settings() {
	//register our settings
register_setting( 'fakebook_alert_st', 'fakebook_alert_lamabn' );	
register_setting( 'fakebook_alert_st', 'fakebook_alert_okbtn' );
register_setting( 'fakebook_alert_st', 'fakebook_alert_nobtn' );		
register_setting( 'fakebook_alert_st', 'fakebook_alert_ngarepan' );
register_setting( 'fakebook_alert_st', 'fakebook_alert_postingan' );
register_setting( 'fakebook_alert_st', 'fakebook_alert_halaman' );
register_setting( 'fakebook_alert_st', 'fakebook_alert_arsipan' );
register_setting( 'fakebook_alert_st', 'fakebook_alert_jsc');
register_setting( 'fakebook_alert_st', 'fakebook_block_width');

}
function fakebook_alert_st_settings_page() {
?>
<style type="text/css" media="all">
#wrap{width:800px;padding:10px;}
table.form-table{width:480px; margin-bottom:10px;float:left;}
#wrap h3 {width: 470px;padding:10px 0 10px 10px;text-align:left;margin-bottom:0px;color:#fff;margin-top:20px;background:#2E00FF; clear:both;}
.submit {float:left;margin:10px;padding:7px}
#wrap input{width:200px; }
#wrap th{width:250px;margin:10px;}
#wrap td{width:250px;margin:10px;}
</style>
<div id="wrap">
<h2 style="font-size:25px;font-weight:100">FB Affiliate Alert Box Settings</h2>
<form method="post" action="options.php">
<?php settings_fields( 'fakebook_alert_st' ); ?>
<table class="form-table">
<h3>General</h3>    
    <tr valign="top">
    <th scope="row">Show Alert After (seconds)</th>
    <td><input type="textarea" name="fakebook_alert_lamabn" value="<?php echo get_option('fakebook_alert_lamabn'); ?>" /></td>
    </tr>
    <tr valign="top">
    <th scope="row">OK Button Text</th>
    <td><input type="textarea" name="fakebook_alert_okbtn" value="<?php echo get_option('fakebook_alert_okbtn'); ?>" /></td>
    </tr>
    <tr valign="top">
    <th scope="row">NO Button Text</th>
    <td><input type="textarea" name="fakebook_alert_nobtn" value="<?php echo get_option('fakebook_alert_nobtn'); ?>" /></td>
    </tr>

	<tr valign="top">
    <th scope="row">Block Width (px)</th>
    <td><input type="textarea" name="fakebook_block_width" value="<?php echo get_option('fakebook_block_width'); ?>" /></td>
    </tr>
	
	<tr valign="top">
    <th scope="row"><hr></th>
    <td><hr></td>
    </tr>
	
	
  <tr valign="top">
  <th scope="row">Show on homepage</th>
	<td><select id="fakebook_alert_ngarepan" name="fakebook_alert_ngarepan">
	<option value="yes"  <?php if (get_option('fakebook_alert_ngarepan')=="yes"){echo "selected";}?>>Yes</option>
	<option value="no" <?php if (get_option('fakebook_alert_ngarepan')=="no"){echo "selected";}?>>No</option>
	</select></td></tr>
  <tr valign="top">
  <th scope="row">Show on Single post</th>
	<td><select id="fakebook_alert_postingan" name="fakebook_alert_postingan">
	<option value="yes"  <?php if (get_option('fakebook_alert_postingan')=="yes"){echo "selected";}?>>Yes</option>
	<option value="no" <?php if (get_option('fakebook_alert_postingan')=="no"){echo "selected";}?>>No</option>
	</select></td></tr>
  <tr valign="top">
  <th scope="row">Show on Page</th>
	<td><select id="fakebook_alert_halaman" name="fakebook_alert_halaman">
	<option value="yes"  <?php if (get_option('fakebook_alert_halaman')=="yes"){echo "selected";}?>>Yes</option>
	<option value="no" <?php if (get_option('fakebook_alert_halaman')=="no"){echo "selected";}?>>No</option>
	</select></td></tr>
  <tr valign="top">
  <th scope="row">Show on Archive page</th>
	<td><select id="fakebook_alert_arsipan" name="fakebook_alert_arsipan">
	<option value="yes"  <?php if (get_option('fakebook_alert_arsipan')=="yes"){echo "selected";}?>>Yes</option>
	<option value="no" <?php if (get_option('fakebook_alert_arsipan')=="no"){echo "selected";}?>>No</option>
	</select></td></tr>
  <tr valign="top">
  <th scope="row">Theme already included javascript</th>
	<td><select id="fakebook_alert_jsc" name="fakebook_alert_jsc">
	<option value='<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>'  <?php if (get_option('fakebook_alert_jsc')=='<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>'){echo "selected";}?>>No</option>
	<option value=" " <?php if (get_option('fakebook_alert_jsc')==" "){echo "selected";}?>>Yes</option>
	</select></td></tr>
</table>  
  <div style="clear:both"></div>
    <p class="submit">
    <input type="submit" class="button-secondary" value="<?php _e('Save Changes') ?>" />
    </p>

</form>
</div>
<?php } ?>
<?php 
function fakebook_css(){
$new_offset  = (int)get_option('fakebook_block_width') / 2;

echo get_option('fakebook_alert_jsc');echo '<script type="text/javascript">
$(document).ready(function () {
$(\'.notombolfakebook\').click(function() {
    $(\'#fakebookalerttampil\').fadeOut(500);
});
    setTimeout(function(){
        $(\'#fakebookalerttampil\').fadeIn(500);
    }, ';echo get_option('fakebook_alert_lamabn')*1000;  echo ');
});
</script>

<style type="text/css" media="all">
@font-face {font-family: \'Alef\'; font-style: normal; font-weight: 400; src: local(\'Alef Regular\'), local(\'Alef-Regular\'), url(http://themes.googleusercontent.com/static/fonts/alef/v1/C8wmYJieZdfX3SNk-GwKVA.woff) format(\'woff\')}
#fakebookalerttampil{position:relative;display:none;}
#fakebookalertndelik{box-shadow:0px 0px 5000px #444;border:8px solid #777;border-radius:7px;width:'.get_option('fakebook_block_width').'px;top:0;height:auto;padding:0px;background:#fff;position:fixed;margin-top:10%;left: 50%;text-align:left;padding:0px 10px 0px 10px;font-size:12px;font-family:Alef;margin-left:-'.$new_offset.'px;}
#fakebookalertndelik p{color:#222;font-size:12px;line-height:1.4;padding-top:5px;padding-bottom:0px;font-weight:400;margin-bottom:4px;margin-top:4px;}
#tombolfakebook{border-top:1px solid #e1e1e1;background:#F2F2F2;padding:5px;margin-left:-10px;margin-right:-10px;}
#fakebookalertndelik h2{font-size:16px;margin:0px;color:#fff;background:#44619D;padding:10px;margin-left:-10px;margin-right:-10px;}
#fakebookalertndelik a{color:#4461AE;text-decoration:none;}
#fakebookalertndelik a:hover{text-decoration:underline;}   
#fakebookalertndelik img.alignleft{margin:0px 10px 10px 10px;}  
#fakebookalertndelik img.alignright{margin:0px 10px 10px 10px;} 
#fakebookalertndelik img.aligncenter{margin:0px auto 10px auto;}
.oktombolfakebook{font-size:13px;font-weight:bold;color:#fff;background:#44619D;float:right;margin:5px;border:1px solid #eee;box-shadow:0px 0px 1px #444;padding:5px 10px 5px 10px;cursor:pointer;}
.notombolfakebook{font-size:13px;font-weight:bold;color:#444;background:#eaeaea;float:right;margin:5px;border-top:1px solid #fff;box-shadow:0px 0px 1px #666;padding:5px 10px 5px 10px;cursor:pointer;}  
</style>';}?>
<?php 
function fakebook_alert_function($type='__fakebookfunction') {  
    $args = array(
    'post_type' => 'fakebook',
		'orderby' => 'rand',
		'posts_per_page' => 1
    );  
    $result .= '<div id="fakebookalerttampil">';  
    $loop = new WP_Query($args);  
    while ($loop->have_posts()) {  
    $loop->the_post();  
    $linkeluar = get_post_meta(get_the_ID(), 'link', true);
		$nobtn = get_option('fakebook_alert_nobtn');
		$okbtn = get_option('fakebook_alert_okbtn');		
		$judul = get_the_title($post->ID);
    $isi = get_the_content($post->ID);
		$urlblog = get_bloginfo('url');
    $result .= '<div id="fakebookalertndelik"><h2>'.$judul.'</h2><p>'.$isi.'<br style="clear:both"></p><div id="tombolfakebook"><span class="notombolfakebook">'.$nobtn.'</span><a href="'.$linkeluar.'"><span class="oktombolfakebook">'.$okbtn.'</span></a><br style="clear:both"></div>  
		</div> ';}
    $result .='</div>';
    return $result;  
}
?>